#!/bin/bash
# FILE:       	wagon:back/admin_peer.cgi
# DESCRIPTION:	Recieves incoming admin requests for peer operations

source /etc/wagon/config

case "${REQUEST_METHOD}" in

	# List peers
	'GET') /usr/lib/wagon/admin/peer/list "${HTTP_X_REAL_IP}" "${QUERY_STRING}";;

	# Add peer
	'POST') /usr/lib/wagon/admin/peer/add "${HTTP_X_REAL_IP}" "${QUERY_STRING}";;

	# Delete peer
	'DELETE') /usr/lib/wagon/admin/peer/del "${HTTP_X_REAL_IP}" "${QUERY_STRING}";;

	# Needed for CORS preflight
	'OPTIONS') /usr/lib/wagon/http_res 200;;

	# Bad request
	*) printf 'Invalid HTTP verb' | /usr/lib/wagon/http_res 405;;

esac
